## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XSpan Class Reference

Inheritance diagram for XSpan:

[legend]
Collaboration diagram for XSpan:

[legend]
List of all members.

## Public Member Functions

- XSpan (BorrowReturnMutableNodeRefList &value, MemoryManagerType &theManager)
    Construct an XSpan object from a node list.
- XSpan (const XSpan &source, MemoryManagerType &theManager)
- virtual ~XSpan ()
- virtual int getStart () const
    Get the start span offset from the first node, or -1 if offset isn't set.
- virtual void setStart (int start)
    Set the start span offset from the first node, or pass -1 if offset isn't set.
- virtual int getEnd () const
    Get the end span offset from start of the last node, or -1 if offset isn't set.
- virtual void setEnd (int end)
    Set the end span offset from start of the last node, or -1 if offset isn't set.
- virtual void setSpan (int firstNodeOffset, int lastNodeOffset)
    Set the range of the span, based on offsets from the first node and offsets from the last node.

## Constructor & Destructor Documentation

XSpan::XSpan | ( | BorrowReturnMutableNodeRefList & | value,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an XSpan object from a node list. Parameters:
  value | source node list. The instance will adopt the value instance.

XSpan::XSpan | ( | const XSpan & | source,
|  | MemoryManagerType & | theManager
| ) |

virtual XSpan::~XSpan | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int XSpan::getEnd | ( |  | ) | const`[virtual]`

| Get the end span offset from start of the last node, or -1 if offset isn't set. Returns: ending offset

virtual int XSpan::getStart | ( |  | ) | const`[virtual]`

| Get the start span offset from the first node, or -1 if offset isn't set. Returns: starting offset

virtual void XSpan::setEnd | ( | int | end | ) | `[virtual]`

  | Set the end span offset from start of the last node, or -1 if offset isn't set. Parameters:
  end | ending offset

virtual void XSpan::setSpan | ( | int | firstNodeOffset,
|  | int | lastNodeOffset
| ) | `[virtual]`

  | Set the range of the span, based on offsets from the first node and offsets from the last node. Parameters:
  firstNodeOffset | offset of first node
  lastNodeOffset | offset of last node

virtual void XSpan::setStart | ( | int | start | ) | `[virtual]`

  | Set the start span offset from the first node, or pass -1 if offset isn't set. Parameters:
  start | starting offset

The documentation for this class was generated from the following file:

- XSpan.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.